Bug 507295 - WebKit based browsers are unable to display PDF files through evince while mozplugger is installed
WebKit based browsers are unable to display PDF files through evince while mo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: webkitgtk (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 04:32 EDT by Joachim Frieben
Modified: 2010-11-04 11:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 11:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2009-06-22 04:32:44 EDT
Description of problem:
When opening a link to a PDF document in midori on a system where evince and mozplugger are installed, the action fails with error message:

 "Unable to open document
  Error opening file: No such file or directory"

Version-Release number of selected component (if applicable):
midori-0.1.7-1.fc11

How reproducible:
Always.

Steps to Reproduce:
1. Open http://docs.fedoraproject.org/user-guide/f11/en-US/pdf/Fedora_11_User_Guide.pdf in midori.
  
Actual results:
Evince reports "Unable to open document" and "Error opening file: No such file or directory", and the PDF file does not get displayed.

Expected results:
PDF file is displayed by midori.

Additional info:
- no problem doing the same with browser epiphany
- installed packages include
  * mozplugger-1.12.1-1.fc11
  * webkitgtk-1.1.10-1.fc11
- after uninstall mozplugger, (midori/evince) display the file correctly
Comment 1 Bug Zapper 2010-04-27 11:09:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Joachim Frieben 2010-04-29 05:26:12 EDT
Issue still applies to current F12 including packages:
- epiphany-2.28.2-1.fc12.x86_64
- midori-0.2.2-1.fc12.x86_64
- mozplugger-1.12.1-7.fc12.x86_64
* webkitgtk-1.1.15.4-1.fc12.x86_64
Comment 3 Joachim Frieben 2010-09-11 07:22:22 EDT
After updating to mozplugger-1.14.1-1.fc14.x86_64, evince can display swallowed PDF files. However, one drawback remains: it is impossible to browse through a document using the keyboard since the document does not get the focus. The mouse pointer is hand-shaped instead of arrow-shaped. Firefox behaves correctly in this respect. Installed packages include:
- epiphany-2.30.5-1.fc14.x86_64
- evince-2.31.90-1.fc14.x86_64
- webkitgtk-1.3.2-2.fc14.x86_64
Comment 4 Bug Zapper 2010-11-04 07:02:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ben Boeckel 2010-11-04 11:56:47 EDT
Per comment #3, closing this bug as fixed. Please clone for epiphany about the focus issues.

Note You need to log in before you can comment on or make changes to this bug.